
/*--------------------------------------------------------------
/** 1. VARIABLES
--------------------------------------------------------------*/
:root {
  --accent-color: #11120D;
  --secondary-color: #796d4c;
  --black-color: #3C3C3C;
  --light-black-color: #343536;
  --dark-color: #797876;
  --primary-color: #11120D;
  --primary-color-200: #E8F0F1;
  --primary-color-400: #c4e9ed;
  --gray-color: #777F81;
  --light-color: #FFFFFF;

  --bs-dark-rgb: 87, 87, 87;
  --bs-gray-100: #EEEFEF;
  --bs-gray-300: #DCDCDC;
  --bs-primary-text-emphasis: var(--primary-color);
  --bs-primary: #11120D;
  --bs-light-rgb: 255, 255, 255;
  --bs-primary-rgb: 17, 18, 13;
  --bs-secondary-rgb: 121, 109, 76;
  --swiper-theme-color: #111 !important;
  --cadet-blue-color: #9AB4B7;
}

/* Fonts */
:root {
  --heading-font: "Oswald", sans-serif;
  --body-font: "Source Sans 3", sans-serif;
}

/*----------------------------------------------*/
/* 2 GENERAL TYPOGRAPHY
/*----------------------------------------------*/

/* 2.1 General Styles
/*----------------------------------------------*/
*,
*::before,
*::after {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

body {
  background-color: #ffffff;
  font-family: var(--body-font);
  font-size: 18px;
  font-weight: 400;
  line-height: 164%;
  letter-spacing: 0.40px;
  color: var(--dark-color);
  margin: 0;
}

p {
  color: var(--dark-color);
}

a {
  color: inherit;
  text-decoration: none;
  transition: 0.3s ease-in-out;
}

a:hover {
  color: var(--primary-color);
}
  
/* 2.2 Logo */

.logo {
  height: 60px;
  width: auto;
}

@media (max-width: 768px) {
  .logo {
    height: 45px;
  }
}


/*-------------------------------------------------------------------------------------------------*/



/* 4 SITE STRUCTURE */
/*----------------------------------------------*/

/* 4.1 Header
/*----------------------------------------------*/

/* =========================
   HEADER STYLING
========================= */

#header {
  font-family: 'Poppins', sans-serif;
  position: sticky;
  top: 0;
  z-index: 999;
}
/* =========================
   NAVBAR
========================= */

/* LOGO CONTAINER */
.logo-box {
  width: 55px;
  height: 55px;
  background: #fff;
  border-radius: 12px;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 6px;
  box-shadow: 0 4px 15px rgba(0,0,0,0.08);
  transition: 0.3s ease;
}

.logo-box img {
  width: 100%;
  height: auto;
}

/* Hover effect */
.navbar-brand:hover .logo-box {
  transform: scale(1.08);
  box-shadow: 0 6px 20px rgba(0,0,0,0.15);
}

/* TEXT NEXT TO LOGO */
.logo-text {
  line-height: 1.1;
}

.brand-name {
  display: block;
  font-size: 18px;
  font-weight: 600;
  color: #58007b;
}

.brand-tagline {
  font-size: 12px;
  font-weight: 400;
  color: #58007b;
  letter-spacing: 0.5px;
}

/* Optional gold accent line */
.navbar-brand {
  position: relative;
}

/* .navbar-brand::after {
  content: "";
  position: absolute;
  bottom: -8px;
  left: 0;
  width: 40%;
  height: 2px;
  background: #0f09bf;
  transition: 0.3s;
}

.navbar-brand:hover::after {
  width: 70%;
} */

.navbar {
  background: #ffffff;
  transition: all 0.3s ease;
  padding: 18px 0;
}

.navbar-brand img {
  transition: 0.3s ease;
}

.navbar-brand img:hover {
  transform: scale(1.05);
}

/* Nav Links */
.navbar .nav-link {
  font-size: 15px;
  font-weight: 500;
  color: #1e293b;
  position: relative;
  transition: 0.3s ease;
}

/* Elegant underline effect */
.navbar .nav-link::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -6px;
  width: 0%;
  height: 2px;
  background: #d4af37; /* gold */
  transition: 0.3s ease;
}

.navbar .nav-link:hover::after {
  width: 100%;
}

.navbar .nav-link:hover {
  color: #000;
}



/* =========================
   BUTTON (CTA)
========================= */

.btn-dark {
  background: #0f172a;
  border: none;
  font-size: 14px;
  font-weight: 500;
  transition: 0.3s ease;
}

.btn-dark:hover {
  background: #d4af37;
  color: #000;
}




/* =========================
   STICKY HEADER (OPTIONAL)
========================= */

#header.sticky {
  position: sticky;
  top: 0;
  z-index: 999;
  background: #fff;
  box-shadow: 0 4px 20px rgba(0,0,0,0.05);
}


/* =========================
   RESPONSIVE
========================= */

@media (max-width: 991px) {

  .navbar-nav {
    padding-top: 20px;
  }

  .nav-item {
    margin-bottom: 10px;
  }

  .btn-dark {
    width: 100%;
    text-align: center;
  }
}


/* 4.2 Slider Section
/*----------------------------------------------*/
#slider .overlay {
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.148);
}

/* Content styling */
.banner-content {
  position: relative;
  z-index: 2;
  max-width: 700px;
}

/* Gold Button */
.btn-gold {
  background: #77018c;
  color: #ffffff;
  border: none;
  transition: 0.3s ease;
}

.btn-gold:hover {
  background: #ffffff;
  color: #77018c;
}

/* Slider arrows */
.main-slider-button-next,
.main-slider-button-prev {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  cursor: pointer;
  color: #fff;
  z-index: 10;
}

.main-slider-button-next {
  right: 20px;
}

.main-slider-button-prev {
  left: 20px;
}

.main-slider-button-next svg,
.main-slider-button-prev svg {
  fill: white;
  opacity: 0.7;
  transition: 0.3s;
}

.main-slider-button-next:hover svg,
.main-slider-button-prev:hover svg {
  opacity: 1;
}


/* 4.3 About  Section
/*----------------------------------------------*/

.categories-section {
  background: #f8f9fb;
  padding: 40px 0;
}

.category-card {
  background: #ffffff;
  padding: 35px 25px;
  border-radius: 15px;
  transition: 0.3s ease;
  height: 100%;
  box-shadow: 0 5px 20px rgba(0,0,0,0.05);
}

.category-card:hover {
  transform: translateY(-8px);
  box-shadow: 0 10px 30px rgba(0,0,0,0.1);
}

.category-card .icon {
  font-size: 50px;
  color: #d4af37; /* gold theme */
  margin-bottom: 15px;
}

.category-card h4 {
  font-size: 18px;
  font-weight: 600;
  margin-bottom: 10px;
  color: #1e293b;
}

.category-card p {
  font-size: 14px;
  color: #6b7280;
  line-height: 1.6;
}

/* Service Section */

.services-section {
  position: relative;
  background-size: cover;
  background-position: center;
  padding: 60px 0;
}

.overlay-dark {
  position: absolute;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,0.65);
  top: 0;
  left: 0;
  z-index: 1;
}

.services-section .container-lg {
  z-index: 2;
}

/* Cards */
.service-card {
  position: relative;
  overflow: hidden;
  border-radius: 12px;
  cursor: pointer;
}

.service-card img {
  width: 100%;
  height: 260px;
  object-fit: cover;
  transition: 0.4s ease;
}

.service-card:hover img {
  transform: scale(1.1);
}

/* Content Overlay */
.service-content {
  position: absolute;
  bottom: 0;
  width: 100%;
  padding: 15px;
  background: linear-gradient(to top, rgba(0,0,0,0.8), transparent);
  text-align: center;
}

.service-content h5 {
  color: #fff;
  font-size: 16px;
  font-weight: 500;
}

/* Gold Button */
.btn-gold {
  background: #d4af37;
  color: #000;
  border: none;
  transition: 0.3s;
}

.btn-gold:hover {
  background: #fff;
  color: #000;
}



/* 
 4.4 About style
--------------------------------------------------------------*/

.about-section {
  background: #ffffff;
  padding: 40px 0;
}

.about-media {
  position: relative;
}

.about-media img {
  border-radius: 12px;
}

/* Play Button */
.video-btn {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: #d4af37;
  color: #000;
  font-size: 28px;
  padding: 15px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: 0.3s;
}

.video-btn:hover {
  background: #000;
  color: #fff;
}

/* Points */
.about-points {
  list-style: none;
  padding: 0;
  margin-top: 15px;
}

.about-points li {
  margin-bottom: 8px;
  color: #374151;
  font-size: 15px;
}

/* Button */
.btn-gold {
  background: #d4af37;
  color: #000;
  border: none;
}

.btn-gold:hover {
  background: #000;
  color: #fff;
}


/* ------------------------------------------------------------------------------------------------ */

.course-card {
  position: relative;
  overflow: hidden;
  border-radius: 12px;
}

.course-card img {
  width: 100%;
  height: 260px;
  object-fit: cover;
  transition: 0.4s ease;
}

.course-card:hover img {
  transform: scale(1.1);
}

/* Overlay Content */
.course-content {
  position: absolute;
  bottom: 0;
  width: 100%;
  padding: 15px;
  background: linear-gradient(to top, rgba(0,0,0,0.8), transparent);
  color: #fff;
}

.course-content h5 {
  font-size: 16px;
  margin-bottom: 5px;
}

.course-content p {
  font-size: 13px;
  margin-bottom: 10px;
  color: #ddd;
}



/* 4.5 Popular Products
------------------------------------------------------------- */
.product-item .btn-wishlist {
  display: block;
  z-index: 111;
  position: absolute;
  top: 10px;
  padding: 6px 10px;
  color: var(--bs-black);
  background: var(--bs-white);
  right: 10px;
  opacity: 0;
  transition: opacity 0.5s ease-in;
}

.product-item .btn-cart {
  display: block;
  z-index: 111;
  position: absolute;
  top: 60px;
  padding: 6px 10px;
  color: var(--bs-black);
  background: var(--bs-white);
  right: 10px;
  opacity: 0;
  transition: opacity 0.5s ease-in;
}

.product-item:hover .btn-wishlist,
.product-item:hover .btn-cart {
  opacity: 1;
}


/* ------------------------------------------------------------------------------- */

/* Gallary Section  */
 
#gallery {
  padding-top: 100px;
}



/* 4.6 Footer Section
/*----------------------------------------------*/
iconify-icon.social-icon {
  font-size: 1.125rem;
  padding: 0.75rem;
  border-radius: 4.375rem;
  border: 1px solid var(--accent-color);
  color: var(--accent-color);
  transition: all 0.5s ease;
}

iconify-icon.social-icon:hover {
  color: #FFF;
  border: 1px solid var(--accent-color);
  background: var(--accent-color);
}


